KGMON(8)

NAME
kgmon - generate a dump of the operating system's profile buffers

SYNOPSIS
kgmon [-Bbhpr] [-M core] [-N system]

DESCRIPTION
The kgmon utility is used when profiling the operating system. When no arguments are supplied, kgmon indicates the state of operating system profiling as running, off, or not configured. (see config(8)) If the -p flag is specified, kgmon extracts profile data from the operating system and produces a gmon.out file suitable for later analysis by gprof(1).

The options are as follows:

-B  Resume the collection of high resolution profile data.

-b  Resume the collection of low resolution profile data.

-h  Stop the collection of profile data.

-p  Dump the contents of the profile buffers into a gmon.out file.

-r  Reset all the profile buffers. If the -p flag is also specified, the gmon.out file is generated before the buffers are reset.

-M  Extract values associated with the name list from the specified core instead of the default /dev/kmem.

-N  Extract the name list from the specified system instead of the default /boot/kernel/kernel.

If neither -B nor -b nor -h is specified, the state of profiling collection remains unchanged. For example, if the -p flag is specified and profile data is being collected, profiling will be momentarily suspended, the operating system profile buffers will be dumped, and profiling will be immediately resumed.

The profile buffers should be reset when the resolution of the profile data is changed.

FILES
/boot/kernel/kernel
    the default system
/dev/kmem
    the default memory

DIAGNOSTICS
Users with only read permission on /dev/kmem cannot change the state of profiling collection. They can get a gmon.out file with the warning that the data may be inconsistent if profiling is in progress.

SEE ALSO
gprof(1), config(8)

HISTORY
The kgmon utility appeared in 4.2BSD.